Subject: bug#33637: closed (Re: [bug#33637] [PATCH] gnu: python: Update to 3.7.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Oct 2019 18:38:02 +0000

Your bug report

#33637: [PATCH] gnu: python: Update to 3.7.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33637: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33637
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#33637] [PATCH] gnu: python: Update to 3.7.1.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 08 Oct 2019 19:37:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Christopher Baines <[email-masked]> writes:
>>
>>> Remove the replacement, as version 3.7.1 includes the fix for this issue.
>>>
>>> * gnu/packages/python.scm (python-3.7): Update to 3.7.1.
>>> (python-3/fixed): Remove this.
>>
>> OK for 'core-updates', thanks!
>>
>> (I suppose we should rename the -next branch too, can you do it?)
>
> Great, I've renamed the branch now (hopefully correctly), and I've also
> pushed this patch to the newly created core-updates (was
> core-updates-next) branch.

So there were obviously more updates pushed to core-updates, as Python
3.7.4 has hit master now, but that means this bug can be closed :D

Subject: [PATCH] gnu: python: Update to 3.7.1.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Wed, 5 Dec 2018 21:19:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Remove the replacement, as version 3.7.1 includes the fix for this issue.

* gnu/packages/python.scm (python-3.7): Update to 3.7.1.
(python-3/fixed): Remove this.
---
 gnu/packages/python.scm | 13 ++-----------
 1 file changed, 2 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index d0401b7bd..1abf2e816 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -343,8 +343,7 @@ data types.")
 (define-public python-3.7
   (package (inherit python-2)
     (name "python")
-    (version "3.7.0")
-    (replacement python-3/fixed)
+    (version "3.7.1")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://www.python.org/ftp/python/"
@@ -357,7 +356,7 @@ data types.")
               (patch-flags '("-p0"))
               (sha256
                (base32
-                "0j9mic5c9lbd2b20wka7hily7szz740wy9ilfrczxap63rnrk0h3"))
+                "0v9x4h22rh5cwpsq1mwpdi3c9lc9820lzp2nmn9g20llij72nzps"))
               (snippet
                '(begin
                   (for-each delete-file
@@ -416,14 +415,6 @@ data types.")
 ;; Current 3.x version.
 (define-public python-3 python-3.7)
 
-(define python-3/fixed
-  (package
-    (inherit python-3)
-    (source (origin
-              (inherit (package-source python-3))
-              (patches (append (origin-patches (package-source python-3))
-                               (search-patches "python-CVE-2018-14647.patch")))))))
-
 ;; Current major version.
 (define-public python python-3)
 
-- 
2.19.2